Subject: edata alignment

From: Pete Popov <[email-masked]>
Date: Thu, 05 Apr 2001 21:15:25 -0700

In arch/mips/kernel/head.S, there is this code in kernel_entry:

   la      t0, _edata
   sw      zero, (t0)

What guarantees that edata will be word aligned? I don't see a .ALIGN
directive in the ld.script so is it safe to assume that edata will
always be at least word aligned?  I've linked into the kernel a very
large ramdisk, and edata ends up being an odd address, causing a cpu
fault. 

Pete

---

From: Justin Carlson <[email-masked]>
Date: Fri, 6 Apr 2001 10:01:25 -0700

> large ramdisk, and edata ends up being an odd address, causing a cpu

This was fixed between revs 1.4 and 1.5 in cvs @ oss.sgi.com

-Justin